package de.fzj.unicore.uas.impl.sms;

import java.util.HashMap;
import java.util.Map;

import org.junit.Test;

import de.fzj.unicore.uas.Base;
import de.fzj.unicore.uas.UAS;
import de.fzj.unicore.wsrflite.exceptions.ResourceNotCreatedException;

/**
 * tests related to storages and their creation
 */
public class TestStorages extends Base{

	@Test(expected=ResourceNotCreatedException.class)
	public void testEmptyPath()throws Exception{
		StorageManagementHomeImpl smsHome=(StorageManagementHomeImpl)kernel.getHome(UAS.SMS);
		Map<String,Object>initmap=new HashMap<String, Object>();
		initmap.put(StorageManagementHomeImpl.INIT_STORAGETYPE, StorageManagementHomeImpl.StorageTypes.VARIABLE);
		//VARIABLE (and HOME) storages smay not point to "/"
		//this test setup is a bit hackish, but localTS does not (yet) properly resolve
		initmap.put(SMSBaseImpl.INIT_DIRECTORY, "/");
		smsHome.createWSRFServiceInstance(initmap);
	}
	
}
