package de.fzj.unicore.uas.admin;

/**
 * JMX MBean interface
 */
public interface UASAdminMBean {

	public String getSiteName();

	public String[] getExternalRegistryURLs();
	
	public String getIsSharedRegistry();

	public String getProxyCertificateSupportEnabled();

	public String getAccessControlEnabled();

	public String getBaseURL();
	
	public String getGatewayIdentity();
	
	public String getRequireSignatureEnabled();
	
	public String setLogLevel(String logger, String level);
	
	public void setProperty(String key, String value);
	
	public String getGatewayConnectionStatus();
	
	public String getRegistryConnectionStatus();
	
	public String getAttributeSourcesStatus();
	
	public String getTSIConnectionStatus();
	
	public String isJobSubmissionEnabled();
	
	public void toggleJobSubmissionEnabled();
	
}