package de.fzj.unicore.uas.fts.byteio;

import java.math.BigInteger;

import org.ggf.schemas.byteio.x2005.x10.randomAccess.SizeDocument;

import de.fzj.unicore.uas.fts.FileTransferImpl;
import de.fzj.unicore.wsrflite.xmlbeans.ResourceProperty;

public class ByteIOSizeResourceProperty extends ResourceProperty<Object>{
	private static final long serialVersionUID = 1L;
	
	public ByteIOSizeResourceProperty(FileTransferImpl parent){
		super(parent);
	}
	
	@Override
	public SizeDocument[] getXml() {
		SizeDocument sd=SizeDocument.Factory.newInstance();
		sd.setSize(BigInteger.valueOf(((FileTransferImpl)parentWSResource).getDataSize()));
		return new SizeDocument[]{sd};
	}
}
